# ß (Ringel-S)

A simple S-Expression parser

## Features

- [miette](http://crates.io/crates/miette) error reporting with source annotation
    >  use the `miette` feature and either `OffsetTracker` or `LineTracker` as tracker
- Location tracking of tokens and nodes
- UTF-8/String first
- Top level can contain multiple nodes

## Example

```rust
fn example() {
    let parser = ParserOptions::new()
        .with_comments()
        .build_with_tracker::<OffsetTracker>("(hello #| world |#)");
  
  let Some(Ok(node)) = parser.next() else { panic!(":(") };
  
}
```